<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_d0845bff5cd0ddb5" . "ed1d7bd9db996f51" => base64_decode("c29" . "1cm" . "Nl"), "_6e38cb9e043a07cd69a1711a" . "6704c62a" => base64_decode("cGFyZ" . "W50X2" . "lk"));
use Claromentis\Core\Event\GenericEvent;


class AddFolderEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_d0845bff5cd0ddb5ed" . "1d7bd9db996f51"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_6e38cb9" . "e043a07c" . "d69a1711" . "a6704c62" . "a"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}